net.sf.jasperreports.charts.design

## Class JRDesignMultiAxisPlot

- java.lang.Object
- - net.sf.jasperreports.engine.base.JRBaseChartPlot
  - - net.sf.jasperreports.charts.base.JRBaseMultiAxisPlot
    - - net.sf.jasperreports.charts.design.JRDesignMultiAxisPlot

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, JRMultiAxisPlot, JRChangeEventsSupport, JRChartPlot, JRCloneable

      public class JRDesignMultiAxisPlot
      extends JRBaseMultiAxisPlot

  Contains information on how a multiple axis chart should be displayed. This information overrides the display information for all the charts sharing the single domain axis in the multiple axis chart.
  Version:
    $Id: JRDesignMultiAxisPlot.java 5877 2013-01-07 19:51:14Z teodord $
  Author:
    Barry Klawans (bklawans@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.sf.jasperreports.engine.base.JRBaseChartPlot

      `JRBaseChartPlot.JRBaseSeriesColor`

    - ### Nested classes/interfaces inherited from interface net.sf.jasperreports.engine.JRChartPlot

      `JRChartPlot.JRSeriesColor`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PROPERTY_AXES`
    `static java.lang.String` | `PROPERTY_CHART`

    - ### Fields inherited from class net.sf.jasperreports.charts.base.JRBaseMultiAxisPlot

      `axes`

    - ### Fields inherited from class net.sf.jasperreports.engine.base.JRBaseChartPlot

      `backcolor, backgroundAlphaFloat, chart, foregroundAlphaFloat, labelRotationDouble, orientationValue, PROPERTY_BACKCOLOR, PROPERTY_BACKGROUND_ALPHA, PROPERTY_FOREGROUND_ALPHA, PROPERTY_LABEL_ROTATION, PROPERTY_ORIENTATION, PROPERTY_SERIES_COLORS, seriesColors`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRDesignMultiAxisPlot(JRChartPlot multiAxisPlot, JRChart chart)` Constructs a new plot by copying an existing one.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAxis(int index, JRChartAxis axis)` Adds an axis to the plot.
    `void` | `addAxis(JRChartAxis axis)` Adds an axis to the plot.
    `void` | `clearAxes()` Removes all the axes from the plot.
    `JRChartAxis` | `removeAxis(JRChartAxis axis)`
    `void` | `setChart(JRDesignChart chart)` Sets the chart object that this plot belongs to.

    - ### Methods inherited from class net.sf.jasperreports.charts.base.JRBaseMultiAxisPlot

      `clone, collectExpressions, getAxes`

    - ### Methods inherited from class net.sf.jasperreports.engine.base.JRBaseChartPlot

      `addSeriesColor, clearSeriesColors, clone, getBackcolor, getBackgroundAlphaFloat, getChart, getEventSupport, getForegroundAlphaFloat, getLabelRotationDouble, getOrientation, getOrientationValue, getOwnBackcolor, getSeriesColors, setBackcolor, setBackgroundAlpha, setForegroundAlpha, setLabelRotation, setOrientation, setOrientation, setSeriesColors`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRChartPlot

      `addSeriesColor, clearSeriesColors, getBackcolor, getBackgroundAlphaFloat, getChart, getForegroundAlphaFloat, getLabelRotationDouble, getOrientation, getOrientationValue, getOwnBackcolor, getSeriesColors, setBackcolor, setBackgroundAlpha, setForegroundAlpha, setLabelRotation, setOrientation, setOrientation, setSeriesColors`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRCloneable

      `clone`

- - ### Field Detail

    - #### PROPERTY_CHART

          public static final java.lang.String PROPERTY_CHART

      See Also:
        Constant Field Values

    - #### PROPERTY_AXES

          public static final java.lang.String PROPERTY_AXES

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### JRDesignMultiAxisPlot

          public JRDesignMultiAxisPlot(JRChartPlot multiAxisPlot,
                               JRChart chart)

      Constructs a new plot by copying an existing one.
      Parameters:
        `multiAxisPlot` - the plot to copy

  - ### Method Detail

    - #### addAxis

          public void addAxis(JRChartAxis axis)

      Adds an axis to the plot. The axis contains the complete information on the data and rendering to use as well as where to draw the axis.
      Parameters:
        `axis` - the axis to add to the plot

    - #### addAxis

          public void addAxis(int index,
                     JRChartAxis axis)

      Adds an axis to the plot. The axis contains the complete information on the data and rendering to use as well as where to draw the axis.
      Parameters:
        `axis` - the axis to add to the plot

    - #### removeAxis

          public JRChartAxis removeAxis(JRChartAxis axis)

    - #### clearAxes

          public void clearAxes()

      Removes all the axes from the plot.

    - #### setChart

          public void setChart(JRDesignChart chart)

      Sets the chart object that this plot belongs to. The chart object defines all the information about the multiple axis chart.
      Parameters:
        `chart` - the chart that this plot belongs to

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com